Assign services to a barber
Assign one or more shop services to a barber.
You can assign up to 25 services per request. A barber can have up to 10 visible services assigned in total.
The response includes counts of successful and failed assignments, along with details of any failures.
curl --request POST \
--url https://api.guile.app/barbers/{barberId}/services \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"services": [
{
"id": "<string>",
"name": "<string>",
"cost": "456.78",
"duration": "<string>"
}
]
}
'import requests
url = "https://api.guile.app/barbers/{barberId}/services"
payload = { "services": [
{
"id": "<string>",
"name": "<string>",
"cost": "456.78",
"duration": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
services: [{id: '<string>', name: '<string>', cost: '456.78', duration: '<string>'}]
})
};
fetch('https://api.guile.app/barbers/{barberId}/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"successCount": 3,
"failureCount": 1,
"successes": [
{
"id": "service-123",
"name": "Beard Trim"
}
],
"assigned": [
{
"id": "barber-service-123",
"service": {
"id": "service-456",
"name": "Skin Fade"
}
}
],
"failures": [
{
"type": "https://docs.guile.app/problems/serviceAlreadyAssigned",
"title": "Service already assigned",
"occurredAt": "2024-01-15T10:30:00Z",
"attributes": {
"service": {
"id": "service-369",
"name": "Skin Fade"
}
}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}Path Parameters
The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.
Body
Properties for assigning services to a barber.
The services to assign to the barber.
1 - 25 elementsShow child attributes
Show child attributes
Response
Ok. The operation succeeded.
Result of assigning services to a barber.
The number of services successfully assigned.
3
The number of services that failed to be assigned.
1
The services that were successfully assigned.
25Show child attributes
Show child attributes
[
{ "id": "service-123", "name": "Beard Trim" }
]
The barber service assignments that were created.
25Show child attributes
Show child attributes
[
{
"id": "barber-service-123",
"service": { "id": "service-456", "name": "Skin Fade" }
}
]
Details of services that failed to be assigned.
25Show child attributes
Show child attributes
[
{
"type": "https://docs.guile.app/problems/serviceAlreadyAssigned",
"title": "Service already assigned",
"occurredAt": "2024-01-15T10:30:00Z",
"attributes": {
"service": { "id": "service-369", "name": "Skin Fade" }
}
}
]
Was this page helpful?
